<template lang="pug">
template( v-if='title' )
	.field
		label.label.is-large.mb-4 {{$t("form.meta")}}
.field.is-grouped
	.control.is-expanded
		.field
			label.label.on-border Title (ru)
			.control
				b-input( v-model='meta.ru.title' )
	.control.is-expanded
		.field
			label.label.on-border Title (en)
			.control
				b-input( v-model='meta.en.title' )

.field.is-grouped
	.control.is-expanded
		.field
			label.label.on-border Description (ru)
			.control
				b-textarea( v-model='meta.ru.description' )
	.control.is-expanded
		.field
			label.label.on-border Description (en)
			.control
				b-textarea( v-model='meta.en.description' )

.field.is-grouped
	.control.is-expanded
		.field
			label.label.on-border Keywords (ru)
			.control
				b-taginput( v-model='meta.ru.keywords' )
	.control.is-expanded
		.field
			label.label.on-border Keyword (en)
			.control
				b-taginput( v-model='meta.en.keywords' )
</template>

<script setup>
	import BInput from "@/components/form/Input.vue"
	import BTextarea from "@/components/form/Textarea.vue"
	import BTaginput from "@/components/form/Taginput.vue"
	
	import { onMounted, ref, watch } from "vue"

	const props = defineProps({
		modelValue: Object,
		title: {
			type: Boolean,
			default: true
		}
	})
	const emit = defineEmits([ "update:modelValue" ])

	const meta = ref(props.modelValue || { ru: {}, en: {} })

	const update = () => emit("update:modelValue", meta.value)

	watch(() => props.modelValue, nv => meta.value = props.modelValue)
	Object.keys(meta.value).map(prop => {
		watch(() => ({ ...meta.value[prop] }), update)
	})
	onMounted(update)
</script>